Marjon Community News Hub

News and announcements for the whole community at the University of St Mark and St John

DiscussionStarted byRepliesLast post
Would you like to earn £50 by helping us with Open Day Accommodation Viewings? Picture of Shirley WalkerShirley Walker 0 Shirley Walker
Fri, 18 May 2018, 2:52 PM
Road report w/c 20 May 2018 Picture of Alison SpencerAlison Spencer 0 Alison Spencer
Fri, 18 May 2018, 2:44 PM
Road closures - Plymouth Half Marathon 20 May Picture of Alison SpencerAlison Spencer 0 Alison Spencer
Fri, 18 May 2018, 2:43 PM
Did you attend a Dissertation Formatting Session? Have you handed in your dissertation? Picture of Mersedes FarjadMersedes Farjad 0 Mersedes Farjad
Fri, 18 May 2018, 11:34 AM
The intensity of living with Borderline Personality Disorder Picture of Lynda ToutLynda Tout 0 Lynda Tout
Thu, 17 May 2018, 2:18 PM
Final service and pizza hut :-) Picture of Michelle ParkmanMichelle Parkman 0 Michelle Parkman
Thu, 17 May 2018, 11:45 AM
Reminder that Semester B Exams start next week .... Picture of Mark AldenMark Alden 0 Mark Alden
Wed, 16 May 2018, 4:51 PM
Do you find the language of job seeking and networking baffling? Philippa ElfordPhillippa Elford 0 Phillippa Elford
Wed, 16 May 2018, 4:18 PM
Internal Vacancy: Lifestyle Sport & Health Interns Picture of Donna PiperDonna Piper 0 Donna Piper
Wed, 16 May 2018, 3:49 PM
The Hub: A quick how-to Picture of Tony AtkinTony Atkin 0 Tony Atkin
Wed, 16 May 2018, 11:49 AM
Futures on tour TODAY - Wednesday 16 May 1000-1130, outside the SU office Philippa ElfordPhillippa Elford 0 Phillippa Elford
Wed, 16 May 2018, 7:12 AM
Are you looking for summer work/experiences of your first graduate role? Philippa ElfordPhillippa Elford 0 Phillippa Elford
Wed, 16 May 2018, 7:10 AM
Research Poster display Picture of Hazel BendingHazel Bending 0 Hazel Bending
Tue, 15 May 2018, 6:44 PM
Vacancy for Marjon Final Year Students Picture of Donna PiperDonna Piper 0 Donna Piper
Tue, 15 May 2018, 2:13 PM
Futures on tour - Wednesday 16 May 1000-1130, outside the SU office Philippa ElfordPhillippa Elford 0 Phillippa Elford
Tue, 15 May 2018, 12:39 PM
The Hub - Downtime today Picture of Admin UserAdmin User 1 Tony Atkin
Tue, 15 May 2018, 12:21 PM
SFE Postgradute Loan applications now open Picture of Debra SmithamDebra Smitham 0 Debra Smitham
Tue, 15 May 2018, 9:52 AM
Christian Aid Week Picture of Michelle ParkmanMichelle Parkman 0 Michelle Parkman
Mon, 14 May 2018, 2:28 PM
Mental Health Awareness Week Picture of Lynda ToutLynda Tout 0 Lynda Tout
Mon, 14 May 2018, 2:19 PM
Mental Health Awareness Week - starting today! Picture of Lynda ToutLynda Tout 0 Lynda Tout
Mon, 14 May 2018, 2:15 PM
FREE copy of the latest MS Office suite for Marjon students Picture opf Davve Franklin - Computing and Media Services Service ManagerDavid Franklin 0 David Franklin
Mon, 14 May 2018, 1:05 PM
FIXED - Wi-Fi in Coleridge Halls Picture opf Davve Franklin - Computing and Media Services Service ManagerDavid Franklin 0 David Franklin
Mon, 14 May 2018, 11:56 AM
No Student Funding Advice drop-in today (14-05-18) Picture of Victoria ScobleVictoria Scoble 0 Victoria Scoble
Mon, 14 May 2018, 9:11 AM
Burst water main - Pennycomequick Picture of Alison SpencerAlison Spencer 0 Alison Spencer
Fri, 11 May 2018, 3:29 PM
Road report w/c 13/05/2018 Picture of Alison SpencerAlison Spencer 0 Alison Spencer
Fri, 11 May 2018, 3:28 PM
Why car horns, planes and sirens might be bad for your heart Picture of Ioanna AlexiouIoanna Alexiou 0 Ioanna Alexiou
Fri, 11 May 2018, 12:22 PM
Leavers Dinner & May Ball Picture of Elias McGillElias McGill 0 Elias McGill
Fri, 11 May 2018, 10:46 AM
Sports Centre Entrance Door Update Picture of Simon WhiteSimon White 0 Simon White
Fri, 11 May 2018, 9:49 AM
Do you 'never' use the Library? We'd like to hear from you! Picture of Alice PrimmerAlice Primmer 0 Alice Primmer
Thu, 10 May 2018, 12:18 PM
All Student Ambassadors – Have You Signed up to Work the June Open Days Yet?! Picture of Shirley WalkerShirley Walker 0 Shirley Walker
Thu, 10 May 2018, 12:00 PM
Pick and Mix PowerPoint Sessions - cherry-pick your way and improve your skills Picture of Kathryn ParkerKathryn Parker 0 Kathryn Parker
Thu, 10 May 2018, 10:27 AM
Do you find the language of job seeking and networking baffling? Philippa ElfordPhillippa Elford 0 Phillippa Elford
Thu, 10 May 2018, 9:49 AM
Futures on tour - TODAY, Thursday 10 May 1130-1230, outside the SU office Philippa ElfordPhillippa Elford 0 Phillippa Elford
Thu, 10 May 2018, 8:15 AM
Marjon Counselling Centre Closed on Thursday 10th May Picture of Dinah KenningtonDinah Kennington 0 Dinah Kennington
Wed, 9 May 2018, 9:21 AM
FINAL CALL - Considering a career in teaching? Applied for an undergraduate or post-graduate route into teaching? Philippa ElfordPhillippa Elford 0 Phillippa Elford
Wed, 9 May 2018, 9:15 AM
Are you looking for your first graduate opportunity or summer work? Philippa ElfordPhillippa Elford 0 Phillippa Elford
Wed, 9 May 2018, 9:12 AM
Play table tennis for Free anytime Picture of Simon WhiteSimon White 0 Simon White
Thu, 3 May 2018, 12:27 PM
Student Support closed over Early May Bank Holiday Picture of Victoria ScobleVictoria Scoble 0 Victoria Scoble
Thu, 3 May 2018, 11:59 AM
Pick and Mix PowerPoint Sessions - cherry-pick your way and improve your skills Picture of Kathryn ParkerKathryn Parker 0 Kathryn Parker
Thu, 3 May 2018, 11:14 AM
Library Lockers- Have you used one this year? Picture of Alice PrimmerAlice Primmer 0 Alice Primmer
Thu, 3 May 2018, 11:11 AM
Futures team unavailable 4, 7 and 8 May Philippa ElfordPhillippa Elford 0 Phillippa Elford
Thu, 3 May 2018, 7:55 AM
Futures on tour ... Philippa ElfordPhillippa Elford 0 Phillippa Elford
Thu, 3 May 2018, 7:16 AM
Considering a career in teaching? Applied for an undergraduate or post-graduate route into teaching? Philippa ElfordPhillippa Elford 0 Phillippa Elford
Thu, 3 May 2018, 7:00 AM
RTC Tavistock Road Picture of Alison SpencerAlison Spencer 0 Alison Spencer
Wed, 2 May 2018, 4:00 PM
Work Routes Philippa ElfordPhillippa Elford 0 Phillippa Elford
Wed, 2 May 2018, 3:55 PM
Being in Nature today - come and enjoy some fresh air & sunshine today Picture of Ian BlackwellIan Blackwell 0 Ian Blackwell
Wed, 2 May 2018, 10:02 AM
Are you looking for summer work/experiences of your first graduate role? Philippa ElfordPhillippa Elford 0 Phillippa Elford
Wed, 2 May 2018, 6:53 AM
MSU Question of the Month Picture of Elias McGillElias McGill 0 Elias McGill
Tue, 1 May 2018, 5:01 PM
New Staff - Campus Services Team Picture of Alison SpencerAlison Spencer 0 Alison Spencer
Tue, 1 May 2018, 4:25 PM
New urgent appeal from Open Hearts Open Borders Picture of Michelle ParkmanMichelle Parkman 0 Michelle Parkman
Tue, 1 May 2018, 12:15 PM
Sports Centre - May Swimming Timetable Picture of Simon WhiteSimon White 0 Simon White
Tue, 1 May 2018, 11:40 AM
Library access on Bank Holiday Monday Picture of Alice PrimmerAlice Primmer 0 Alice Primmer
Tue, 1 May 2018, 11:06 AM
Summer University Hardship Fund Picture of Debra SmithamDebra Smitham 0 Debra Smitham
Tue, 1 May 2018, 11:04 AM
Do you want to:Earn money over the summer? Write outstanding applications? Make a smooth transition into graduate life? Philippa ElfordPhillippa Elford 0 Phillippa Elford
Tue, 1 May 2018, 8:05 AM
Considering a career in teaching? Applied for an undergraduate or post-graduate route into teaching? Philippa ElfordPhillippa Elford 0 Phillippa Elford
Tue, 1 May 2018, 8:01 AM
Reminder that the Semester B Exams Timetable is now available ..... Picture of Mark AldenMark Alden 0 Mark Alden
Mon, 30 Apr 2018, 11:12 AM
Postgraduate Opening Evening Tonight! Drop in anytime from 16:00-19:00 Picture of Shirley WalkerShirley Walker 0 Shirley Walker
Mon, 30 Apr 2018, 11:03 AM
Library 24 hour Access Tonight Picture of Alice PrimmerAlice Primmer 0 Alice Primmer
Fri, 27 Apr 2018, 4:37 PM
Annual Thanksgiving Service & Opening of The Business School Picture of Alexandra DaleAlexandra Dale 0 Alexandra Dale
Fri, 27 Apr 2018, 2:59 PM
9am Starts - The Marjon Referendum Picture of Elias McGillElias McGill 0 Elias McGill
Thu, 26 Apr 2018, 4:53 PM
Chatback response - Event dates clashing Picture of Owen BelliOwen Belli 0 Owen Belli
Thu, 26 Apr 2018, 4:45 PM
Memory Stick Picture of Lisa ByrneLisa Byrne 0 Lisa Byrne
Thu, 26 Apr 2018, 3:41 PM
New Ebook Platform- Ebook Central Picture of Alice PrimmerAlice Primmer 0 Alice Primmer
Thu, 26 Apr 2018, 2:08 PM
Chatback response - Food at the Grandstand (14/04/2018) Picture of Owen BelliOwen Belli 0 Owen Belli
Thu, 26 Apr 2018, 12:32 PM
3rd Year Students are you having trouble formatting your dissertation? Picture of Kathryn ParkerKathryn Parker 0 Kathryn Parker
Thu, 26 Apr 2018, 10:42 AM
Youth & Community Books Picture of Lisa ByrneLisa Byrne 0 Lisa Byrne
Thu, 26 Apr 2018, 10:36 AM
Disabled Toilet Alarms Picture of Tom PriceTom Price 0 Tom Price
Thu, 26 Apr 2018, 10:01 AM
Pick and Mix PowerPoint Sessions - cherry-pick your way and improve your skills Picture of Kathryn ParkerKathryn Parker 0 Kathryn Parker
Thu, 26 Apr 2018, 9:58 AM
Chatback response - Washing machines Picture of Owen BelliOwen Belli 0 Owen Belli
Wed, 25 Apr 2018, 10:06 AM
Being in Nature meets today at 12.30 Picture of Ian BlackwellIan Blackwell 0 Ian Blackwell
Wed, 25 Apr 2018, 10:02 AM
Semester B Exam Timetable for week commencing Monday 21st May 2018 Picture of Mark AldenMark Alden 0 Mark Alden
Tue, 24 Apr 2018, 4:50 PM
Chatback response - Private study rooms hot Picture of Owen BelliOwen Belli 0 Owen Belli
Tue, 24 Apr 2018, 4:35 PM
Chatback response - Sports centre doors closed Picture of Owen BelliOwen Belli 0 Owen Belli
Tue, 24 Apr 2018, 4:34 PM
Chatback response - Cash Machine Picture of Owen BelliOwen Belli 0 Owen Belli
Tue, 24 Apr 2018, 4:29 PM
Our campus in spring time...the early flowering purple orchid.. Picture of Susan PorterSusan Porter 0 Susan Porter
Tue, 24 Apr 2018, 3:50 PM
Considering a career in teaching? Applied for an undergraduate or post-graduate route into teaching? Philippa ElfordPhillippa Elford 0 Phillippa Elford
Tue, 24 Apr 2018, 9:56 AM
Important news about Plymouth Studio School Picture of Katy WillisKaty Willis 0 Katy Willis
Tue, 24 Apr 2018, 9:09 AM
May Ball Tickets on Sale Picture of Elias McGillElias McGill 0 Elias McGill
Mon, 23 Apr 2018, 6:22 PM
University Hardship Fund extended Picture of Debra SmithamDebra Smitham 0 Debra Smitham
Mon, 23 Apr 2018, 11:30 AM
NowTV and Sky GO - access to services restricted by Sky Picture opf Davve Franklin - Computing and Media Services Service ManagerDavid Franklin 0 David Franklin
Mon, 23 Apr 2018, 10:14 AM
MyiLibrary Ebooks- Important Information Reminder Picture of Alice PrimmerAlice Primmer 0 Alice Primmer
Mon, 23 Apr 2018, 9:51 AM
Student Administration - late opening on Thursday Picture of Eve Harper-StitsonEve Harper-Stitson 0 Eve Harper-Stitson
Mon, 23 Apr 2018, 9:35 AM
Road report w/c 22/04/2018 Picture of Alison SpencerAlison Spencer 0 Alison Spencer
Fri, 20 Apr 2018, 4:21 PM
Library Dissertation Hand-in Tip 10- Print Credit Picture of Alice PrimmerAlice Primmer 0 Alice Primmer
Fri, 20 Apr 2018, 2:39 PM
Submission of USB sticks to Student Administration Picture of Eve Harper-StitsonEve Harper-Stitson 0 Eve Harper-Stitson
Fri, 20 Apr 2018, 1:56 PM
Library noise levels - please be considerate! Picture of Claire StevensClaire Stevens 0 Claire Stevens
Fri, 20 Apr 2018, 12:45 PM
Disposable BBQ's and fire safety - IMPORTANT Picture of Alison SpencerAlison Spencer 0 Alison Spencer
Fri, 20 Apr 2018, 11:55 AM
Library 24 Hour Access Picture of Alice PrimmerAlice Primmer 0 Alice Primmer
Fri, 20 Apr 2018, 10:45 AM
Lost House Keys Picture of Ann CullumAnn Cullum 0 Ann Cullum
Thu, 19 Apr 2018, 4:33 PM
Lost rings Picture of Michelle ProutMichelle Prout 0 Michelle Prout
Thu, 19 Apr 2018, 4:07 PM
Library temp Picture of Claire StevensClaire Stevens 0 Claire Stevens
Thu, 19 Apr 2018, 1:23 PM
Dissertation covers Picture of Claire StevensClaire Stevens 0 Claire Stevens
Thu, 19 Apr 2018, 12:14 PM
Pick and Mix PowerPoint Sessions - cherry-pick your way and improve your skills Picture of Kathryn ParkerKathryn Parker 0 Kathryn Parker
Thu, 19 Apr 2018, 11:54 AM
Work Routes into employment Picture of Faye Hatherley-EdwinFaye Hatherley-Edwin 0 Faye Hatherley-Edwin
Thu, 19 Apr 2018, 9:55 AM
DIAS drop-in cancelled: 19/04/18 & 23/04/18 Picture of Victoria ScobleVictoria Scoble 0 Victoria Scoble
Wed, 18 Apr 2018, 4:57 PM
New University Chaplain confirmed Picture of Unity StuartUnity Stuart 0 Unity Stuart
Wed, 18 Apr 2018, 3:29 PM
Helping us to help you - find the sticking points in the University year that affect your mental health Picture of Lynda ToutLynda Tout 1 Lynda Tout
Wed, 18 Apr 2018, 2:10 PM
Safety warning - Drone on campus first thing tomorrow Picture of Laura BellLaura Bell 0 Laura Bell
Wed, 18 Apr 2018, 1:50 PM
Friday deadline to nominate - Inspiring Student Awards Picture of Faye Hatherley-EdwinFaye Hatherley-Edwin 0 Faye Hatherley-Edwin
Wed, 18 Apr 2018, 1:40 PM
Clubs & Societies Picture of Elias McGillElias McGill 1 Phillippa Elford
Wed, 18 Apr 2018, 1:34 PM